> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Report Download

> Download the completed file for a previously generated report job.



## OpenAPI

````yaml openapi/zeal-api.json get /reports/downloads
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /reports/downloads:
    get:
      summary: Get Report Download
      description: Download a report.
      operationId: retrieve-report-download
      parameters:
        - name: job_id
          in: query
          description: >-
            Job ID returned in the POST response for whichever report was
            created.
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              path: /orders-4
            examples:
              Request Example:
                value:
                  job_id: 76f8a4e0-f2a0-4dc0-9a1c-215e083de5eb
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    payload: >-
                      https://api.zeal.com/reports/downloads/76f8a4e0-f2a0-4dc0-9a1c-215e083de5eb
              schema:
                type: object
                properties:
                  payload:
                    type: string
                    example: >-
                      https://api.zeal.com/reports/downloads/76f8a4e0-f2a0-4dc0-9a1c-215e083de5eb
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: >-
                          Object(s) is missing required fields or have
                          improperly formatted data
                        code: 13
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            Object(s) is missing required fields or have
                            improperly formatted data
                        code:
                          type: integer
                          example: 13
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````